<script setup>
import Navigation from "@/components/Navigation";
import FooterBottom from "@/components/FooterBottom";
import WorkspaceProvider from "@/components/WorkspaceProvider";
</script>

<template>
  <!-- Todo pridať notifications component -->
  <workspace-provider />
  
  <navigation />

  <router-view class="router"/>

  <footer-bottom />
  

</template>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  min-height: 100vh;
  background-image: url('assets/dark_bg.png');
  display: flex;
  flex-direction: column;
  align-items: center;
}

.router {
  flex: 2 1 auto;
}
</style>
